请不要随便使用wordpress后台的“自动升级”功能

刚刚手欠,看到有一款插件提示升级,随手就点了“自动升级”,结果悲剧了,由于是远程连接国外站点,因此导致页面长期无法响应而出错,博客访问也是提示“正在执行例行维护,请一分钟后回来。”

TNND,几分钟了还是如此,没办法,只能手动弄了。先是去数据库找对应有没有什么开关之类的,找了一会儿发现没有类似描述这个功能的,然后到博客目录文件发现根目录多出了一个“.maintenance”文件,删除之,问题解决。

唉,景德镇局域网内的童鞋们,最好别轻易的尝试wordpress后台内所有涉及“自动升级”或“更新”的,景德镇局域网连接互联网真的会让你奔溃滴~~

PS:刚刚手动下载了那个插件。容量215K,来自:downloads.wordpress.org,下载耗时:2分钟50秒,汗~~

 

更换了博客的风格

总想换个风格,但一直很懒,今天想好好休息一下,无聊中在一个网站看到一款主题还不错,就给安装上了。没做什么太大的修改——太懒。

另外因为时常 要发一些代码,因此终于安装了Syntax Highlighter and Code Colorizer for WordPress插件,现在页面的代码会好看一点点了。以前也安装过但觉得使用很麻烦,不过总看着那些乱乱的代码也挺闹心的,还是决定安装这款插件了。只是去掉了一些不常用到的语言。

安装这款风格也是因为原来的风格使用Syntax Highlighter and Code Colorizer for WordPress插件 的时候会有一些怪怪的显示问题,代码很乱。

新风格看起来还不错,先对付着吧,改天看到好看的再换,自己真的实在太懒了,不愿意动手做@_@

【原创】jQuery插件之Email地址格式判断

呵呵,不算是什么特别的东西,这个应该是第一次写的jQuery的插件。

jQuery.ISEmail = function(email){
var strlen = email.length;
var email_rule = /^[\w\-\.]+@[\w\-\.]+(\.\w+)+$/;
return ( strlen >= 6 && strlen < = 40 && email_rule.test(email) );
}

使用很简单:
if ($.ISEmail('test@test.com')) {
alert('Email 地址格式正确');
} else {
alert('Email 地址格式错误');
}

一直都在使用,未发现特别的问题,如果你使用过程发现什么错误,请告诉我:)谢谢。

Deepseath Modified from Green Hope Theme · Proudly powered by WordPress · 津ICP备09005418号  津公网安备 12010302001005号